Player Item Management - Consume Item
NOTE: This is a Legacy Economy API, and is in bugfix-only mode. All new Economy features are being developed only for version 2. Consume uses of a consumable item. When all uses are consumed, it will be removed from the player's inventory.
POST https://titleId.playfabapi.com/Client/ConsumeItem
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| X-Authorization | True |
string |
This API requires a client session ticket, available from any Client Login function. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| ConsumeCount | True |
number |
Number of uses to consume from the item. |
| ItemInstanceId | True |
string |
Unique instance identifier of the item to be consumed. |
| CharacterId |
string |
Unique PlayFab assigned ID for a specific character owned by a user |
|
| CustomTags |
object |
The optional custom tags associated with the request (e.g. build number, external trace identifiers, etc.). |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | ||
| 400 Bad Request |
This is the outer wrapper for all responses with errors |
Security
X-Authorization
This API requires a client session ticket, available from any Client Login function.
Type:
apiKey
In:
header
Definitions
| Name | Description |
|---|---|
|
Api |
The basic wrapper around every failed API response |
|
Consume |
|
|
Consume |
ApiErrorWrapper
The basic wrapper around every failed API response
| Name | Type | Description |
|---|---|---|
| code |
integer |
Numerical HTTP code |
| error |
string |
Playfab error code |
| errorCode |
integer |
Numerical PlayFab error code |
| errorDetails |
object |
Detailed description of individual issues with the request object |
| errorMessage |
string |
Description for the PlayFab errorCode |
| status |
string |
String HTTP code |
ConsumeItemRequest
| Name | Type | Description |
|---|---|---|
| CharacterId |
string |
Unique PlayFab assigned ID for a specific character owned by a user |
| ConsumeCount |
number |
Number of uses to consume from the item. |
| CustomTags |
object |
The optional custom tags associated with the request (e.g. build number, external trace identifiers, etc.). |
| ItemInstanceId |
string |
Unique instance identifier of the item to be consumed. |
ConsumeItemResult
| Name | Type | Description |
|---|---|---|
| ItemInstanceId |
string |
Unique instance identifier of the item with uses consumed. |
| RemainingUses |
number |
Number of uses remaining on the item. |
Error Codes
| Name | Code |
|---|---|
| CharacterNotFound | 1135 |
| InvalidItemProperties | 1091 |
| ItemNotFound | 1047 |
| NoRemainingUses | 1062 |